## perl-depends 2012.0701+gitb1fd535

=== Makefile ===
#!/usr/bin/make -f
#
#   Copyright information
#
#	Copyright (C) 2009-2010 Jari Aalto
#
#   License
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program. If not, see <http://www.gnu.org/licenses/>.

ifneq (,)
This makefile requires GNU Make.
endif

PACKAGE		= perl-depends
DESTDIR		=
prefix		= /usr
exec_prefix	= $(prefix)
man_prefix	= $(prefix)/share
mandir		= $(man_prefix)/man
bindir		= $(exec_prefix)/bin
sharedir	= $(prefix)/share

BINDIR		= $(DESTDIR)$(bindir)
DOCDIR		= $(DESTDIR)$(sharedir)/doc/$(PACKAGE)
LOCALEDIR	= $(DESTDIR)$(sharedir)/locale
SHAREDIR	= $(DESTDIR)$(sharedir)/$(PACKAGE)
LIBDIR		= $(DESTDIR)$(prefix)/lib/$(PACKAGE)
SBINDIR		= $(DESTDIR)$(exec_prefix)/sbin
ETCDIR		= $(DESTDIR)/etc/$(PACKAGE)

# 1 = regular, 5 = conf, 6 = games, 8 = daemons
MANDIR		= $(DESTDIR)$(mandir)
MANDIR1		= $(MANDIR)/man1
MANDIR5		= $(MANDIR)/man5
MANDIR6		= $(MANDIR)/man6
MANDIR8		= $(MANDIR)/man8

TAR		= tar
TAR_OPT_NO	= --exclude='.build'	 \
		  --exclude='.sinst'	 \
		  --exclude='.inst'	 \
		  --exclude='tmp'	 \
		  --exclude='*.bak'	 \
		  --exclude='*[~\#]'	 \
		  --exclude='.\#*'	 \
		  --exclude='CVS'	 \
		  --exclude='.svn'	 \
		  --exclude='.git'	 \
		  --exclude='.bzr'	 \
		  --exclude='*.tar*'	 \
		  --exclude='*.tgz'

INSTALL		= /usr/bin/install
INSTALL_BIN	= $(INSTALL) -m 755
INSTALL_DATA	= $(INSTALL) -m 644
INSTALL_SUID	= $(INSTALL) -m 4755
INSTALL_DIR	= $(INSTALL) -m 755 -d

DIST_DIR	= ../build-area
DATE		= `date +"%Y.%m%d"`
VERSION		= $(DATE)
RELEASE		= $(PACKAGE)-$(VERSION)

BIN		= $(PACKAGE)
PL_SCRIPT	= bin/$(BIN).pl

INSTALL_OBJS_BIN   = $(PL_SCRIPT)
INSTALL_OBJS_DOC   = README COPYING
INSTALL_OBJS_MAN   = bin/*.1

XARGS		= xargs xargs --no-run-if-empty
PERL		= perl

# Do not change these. This is the location of auto generated
# files. From there the fle are installed to $(DOCDIR)

docdir = doc/manual
manpage = bin/$(PACKAGE).1

# Rule: all - Make documentation
all: doc
	@echo "For more information, see 'make help'"

# Rule: help - Display Makefile rules
help:
	grep -E "^[[:space:]]*# Rule:" Makefile | sed 's/^[[:space:]]*//' | sort

# Rule: clean - Remove temporary files
clean:
	# target: clean
	find .	-name "*[#~]" \
		-o -name "*.\#*" \
		-o -name "*.x~~" \
		-o -name "pod*.tmp" | \
	$(XARGS) rm -f

	rm -rf tmp

distclean: clean
	# target: distclean - Remove everything that can be generated
	rm -f $(manpage)
	rm -rf $(docdir)

realclean: clean

# Rule: dist-git - [maintainer] release from Git dir (raw)
dist-git: test doc
	rm -f $(DIST_DIR)/$(RELEASE)*

	git archive --format=tar --prefix=$(RELEASE)/ master | \
	gzip --best > $(DIST_DIR)/$(RELEASE).tar.gz

	chmod 644 $(DIST_DIR)/$(RELEASE).tar.gz

	tar -tvf $(DIST_DIR)/$(RELEASE).tar.gz | sort -k 5
	ls -la $(DIST_DIR)/$(RELEASE).tar.gz

# The "gt" is maintainer's program frontend to Git
# Rule: dist-snap - [maintainer] release snapshot from Git repository
dist-snap: test doc
	@echo gt tar -q -z -p $(PACKAGE) -c -T master

# Rule: dist - [maintainer] make release archive
dist: dist-snap

dist-ls:
	@ls -1tr $(DIST_DIR)/$(PACKAGE)*

# Rule: dist - [maintainer] list of release files
ls: dist-ls

docdir:
	# target: docdir - create documentation output directory
	$(INSTALL_DIR) $(docdir)

$(manpage): $(PL_SCRIPT)
	# target: bin/$(PACKAGE).1
	$(PERL) $< --help-man > $@
	@-rm -f *.x~~ pod*.tmp

doc/manual/$(PACKAGE).html: $(PL_SCRIPT)
	# target: doc/manual/$(PACKAGE).html
	$(PERL) $< --help-html > $@
	@-rm -f *.x~~ pod*.tmp

doc/manual/$(PACKAGE).txt: $(PL_SCRIPT)
	# target: doc/manual/$(PACKAGE).txt
	$(PERL) $< --help > $@
	@-rm -f *.x~~ pod*.tmp

# Rule: man - Generate or update manual page
man: docdir $(manpage)

# Rule: html - Generate HTML pages
html: docdir test-pod doc/manual/$(PACKAGE).html

# Rule: txt - Generate TXT pages
txt: docdir test-pod doc/manual/$(PACKAGE).txt

# Rule: doc - Generate or update all documentation
doc: man html txt

# Rule: test-pod - Check POD manual page syntax
test-pod:
	# target: pod-test - Check POD syntax
	podchecker $(PL_SCRIPT)

# Rule: test-perl - Check program syntax
test-perl:
	# target: perl-test - Check program syntax
	$(PERL) -cw $(PL_SCRIPT)

# Rule: test - Run all tests
test: test-pod test-perl

install-doc:
	# target: install-doc - Install documentation
	$(INSTALL_BIN) -d $(DOCDIR)

	[ ! "$(INSTALL_OBJS_DOC)" ] || \
		$(INSTALL_DATA) $(INSTALL_OBJS_DOC) $(DOCDIR)

	$(TAR) -C doc $(TAR_OPT_NO) --create --file=- . | \
	$(TAR) -C $(DOCDIR) --extract --file=-

install-man: man
	# target: install-man - Install manual pages
	$(INSTALL_BIN) -d $(MANDIR1)
	$(INSTALL_DATA) $(INSTALL_OBJS_MAN) $(MANDIR1)

install-bin:
	# target: install-bin - Install programs
	$(INSTALL_BIN) -d $(BINDIR)
	for f in $(INSTALL_OBJS_BIN); \
	do \
		dest=$$(basename $$f | sed -e 's/\.pl$$//' -e 's/\.py$$//' ); \
		$(INSTALL_BIN) $$f $(BINDIR)/$$dest; \
	done

# Rule: install - Standard install. Use variables like: DESTDIR= prefix=/usr/local
install: install-bin install-man install-doc

# Rule: install-test - [maintainer] Dry-run install to tmp/ directory
install-test:
	rm -rf tmp
	make DESTDIR=`pwd`/tmp prefix=/usr install
	find tmp | sort

.PHONY: clean distclean realclean
.PHONY: install install-bin install-man
.PHONY: all man doc test install-test perl-test
.PHONY: dist dist-git dist-ls ls

# End of file

## perl-depends 2010.0527+gita75167b

=== debian/changelog ===
perl-depends (2010.0527+gita75167b-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - (Architecture): set from any to all (Closed: #583434).
  * debian/rules
    - Move to dh(1).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 27 May 2010 21:22:18 +0300

perl-depends (2010.0319+gita11c1f4-1) unstable; urgency=low

  * Initial release (Closes: #574439).

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 19 Mar 2010 21:03:52 +0200

=== debian/control ===
Source: perl-depends
Section: devel
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 7.1)
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/perl-depends.git
Vcs-Git: git://git.debian.org/git/collab-maint/perl-depends.git
Homepage: http://freshmeat.net/projects/perl-depends

Package: perl-depends
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: roughly find out module depends from a perl file
 Find out roughly the modules the program uses. This is based on the
 idea, that Perl evaluates the "use" commands at compile time and
 stores the loaded module information into the %INC variable. By
 examining the loaded modules and comparing them against the standard
 Perl modules, the extenal module dpendencies can be roughly estimated.
 .
 The depends information can be used to determine what external modules
 have to be installed before program can be used.

## perl-depends 2011.0324+git74d587e

=== debian/changelog ===
perl-depends (2011.0324+git74d587e-1) unstable; urgency=low

  * New upstream release.
  * debian/compat
    - Update to 8
  * debian/control
    - (Build-Depends): use debhelper 8.
    - (Standards-Version): Update to 3.9.1.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 24 Mar 2011 17:19:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 7.1)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8)
+Standards-Version: 3.9.1
 Vcs-Browser: http://git.debian.org/?p=collab-maint/perl-depends.git
 Vcs-Git: git://git.debian.org/git/collab-maint/perl-depends.git
 Homepage: http://freshmeat.net/projects/perl-depends

## perl-depends 2012.0701+gitb1fd535

=== debian/changelog ===
perl-depends (2012.0701+gitb1fd535-1) unstable; urgency=low

  * New upstream release.
    - Update manual page according to debian/description.
  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): Update to debhelper 9.
    - (Description): Gix grammar. Patch thanks to Justin B Rye
      <jbr@edlug.org.uk> (Closes: #679733).
    - (Homepage): Update URL.
    - (Standards-Version): Update to 3.9.9.
  * debian/copyright
    - Update to format 1.0.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 01 Jul 2012 13:31:39 +0300

=== debian/control ===
Source: perl-depends
Section: devel
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=collab-maint/perl-depends.git
Vcs-Git: git://git.debian.org/git/collab-maint/perl-depends.git
Homepage: http://freecode.com/projects/perl-depends

Package: perl-depends
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: rough indicator of Perl module dependencies
 perl-depends is a tool to show roughly what modules a program uses. Perl
 evaluates "use" commands at compile time, storing the information about
 loaded modules in the %INC variable. Comparing that list with the
 standard Perl modules gives an estimate of the external module
 dependencies.
 .
 The dependency information can be used to determine what external
 modules have to be installed before the program can be used.

=== debian/watch ===
version=3
# https://savannah.nongnu.org/files/?group=perl-depends

# NOTE: This project is packaged directly from upstream Git. See
# copyright file for URL to project page.

## perl-depends 2016.1029+git8f67695

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 #   Copyright information
 #
-#	Copyright (C) 2009-2010 Jari Aalto
+#	Copyright (C) 2009-2016 Jari Aalto
 #
 #   License
 #

=== debian/changelog ===
perl-depends (2016.1029+git8f67695-1) unstable; urgency=medium

  * New upstream release (Closes: #784025).
  * debian/control
    - (Homepage): Update.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/watch
    - Activate. Use Github tags.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 29 Oct 2016 13:22:37 +0300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
-Vcs-Browser: http://git.debian.org/?p=collab-maint/perl-depends.git
-Vcs-Git: git://git.debian.org/git/collab-maint/perl-depends.git
-Homepage: http://freecode.com/projects/perl-depends
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/perl-depends.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/perl-depends.git
+Homepage: https://github.com/jaalto/project--perl-depends
 
 Package: perl-depends
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = perl-depends
DOCDIR  = debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/doc

override_dh_auto_clean:
	$(MAKE) distclean

override_dh_auto_install:
	$(MAKE) prefix=/usr \
		DESTDIR=debian/$(PACKAGE) \
		INSTALL_OBJS_DOC="" \
		DOCDIR=$(DOCDIR) \
		install
	# Copies of manual pages in various formats.
	rm -rf $(DOCDIR)

%:
	dh  $@

# End of file

=== debian/watch ===
version=3
https://github.com/jaalto/project--perl-depends/tags .*/(.*)\.tar\.gz
